import SwiftUI

struct Disclaimers: View {
    enum Category {
        case gtfs
        case timezone
    }
    
    let include: [Disclaimers.Category]
    
    var body: some View {
        VStack(alignment: .leading) {
            if include.contains(.gtfs) {
                Text("Transports informations provided by Lignes d'Azur, Nice métropole.")
                    .font(.footnote)
            }
            if include.contains(.timezone) {
                Text("Timetables do not take account of delays and are displayed according to your time zone, which may differ from Nice.")
                    .font(.footnote)
            }
        }
        .opacity(0.7)
    }
}
