import SwiftUI

struct Onboarding: View {
    var body: some View {
        ZStack {
            Circle()
                .foregroundStyle(.green.opacity(0.3))
                .frame(height: 300)
            Circle()
                .foregroundStyle(.green.opacity(0.1))
                .frame(height: 450)
            ContentUnavailableView("Click anywhere on the map to view nearby transports departures, or on a vehicle to follow his trip.", systemImage: "hand.point.up.left.fill")
        }
    }
}

#Preview {
    Text("")
        .inspector(isPresented: .constant(true)) {
            Onboarding()
                .presentationDetents([.height(350)])
        }
}
